"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseProject = void 0;
const layout_helpers_1 = require("./utils/layout-helpers");
const path_matcher_1 = require("./utils/path-matcher");
class BaseProject {
    constructor(root) {
        this.root = root;
        this.podModulePrefix = '';
        const maybePrefix = (0, layout_helpers_1.getPodModulePrefix)(root);
        if (maybePrefix) {
            this.podModulePrefix = 'app/' + maybePrefix;
        }
        else {
            this.podModulePrefix = 'app';
        }
        this.classicMatcher = new path_matcher_1.ClassicPathMatcher(this.root);
        this.podMatcher = new path_matcher_1.PodMatcher(this.root, this.podModulePrefix);
    }
    matchPathToType(filePath) {
        return this.classicMatcher.metaFromPath(filePath) || this.podMatcher.metaFromPath(filePath);
    }
}
exports.BaseProject = BaseProject;
//# sourceMappingURL=base-project.js.map