"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ast_helpers_1 = require("../../utils/ast-helpers");
const intl_utils_1 = require("./intl-utils");
class IntlDefinitionProvider {
    async onInit(server) {
        this.server = server;
    }
    async onDefinition(root, params) {
        const { focusPath, type, results } = params;
        if ((0, ast_helpers_1.isLocalizationHelperTranslationName)(focusPath, type)) {
            const items = await (0, intl_utils_1.getTranslations)(root, this.server);
            const node = focusPath.node;
            const key = node.value;
            Object.keys(items).forEach((tr) => {
                if (tr === key) {
                    items[tr].forEach((t) => {
                        if (t.location) {
                            results.push(t.location);
                        }
                    });
                }
            });
        }
        return results;
    }
}
exports.default = IntlDefinitionProvider;
//# sourceMappingURL=intl-definition-provider.js.map