import { CompletionItem, TextDocumentPositionParams, Position, TextDocumentIdentifier } from 'vscode-languageserver/node';
import Server from '../server';
import ASTPath from '../glimmer-utils';
import { ASTv1 } from '@glimmer/syntax';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { Position as EsTreePosition } from 'estree';
import { Project } from '../project';
export default class TemplateCompletionProvider {
    private server;
    constructor(server: Server);
    getTextForGuessing(originalText: string, offset: number, PLACEHOLDER: string): string;
    getRoots(doc: TextDocumentIdentifier): {
        project: Project | undefined;
        document: TextDocument | undefined;
    };
    getAST(textContent: string): ASTv1.Template;
    createFocusPath(ast: any, position: EsTreePosition, validText: string): ASTPath | undefined;
    getFocusPath(document: TextDocument, position: Position, placeholder?: string): {
        focusPath: ASTPath;
        originalText: string;
        normalPlaceholder: string;
        ast: ASTv1.Template;
    } | null;
    provideCompletionsForFocusPath(results: {
        focusPath: any;
        originalText: string;
        normalPlaceholder: string;
    }, textDocument: TextDocumentIdentifier, position: Position, project: Project): Promise<CompletionItem[]>;
    provideCompletions(params: TextDocumentPositionParams): Promise<CompletionItem[]>;
}
