import { RequestHandler, TextDocumentPositionParams, Definition } from 'vscode-languageserver/node';
import Server from './../server';
import TemplateDefinitionProvider from './template';
import ScriptDefinitionProvider from './script';
import GlimmerScriptDefinitionProvider from './glimmer-script';
export default class DefinitionProvider {
    private server;
    template: TemplateDefinitionProvider;
    script: ScriptDefinitionProvider;
    glimmerScript: GlimmerScriptDefinitionProvider;
    constructor(server: Server);
    handle(params: TextDocumentPositionParams): Promise<Definition | null>;
    get handler(): RequestHandler<TextDocumentPositionParams, Definition, void>;
}
