"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReferenceProvider = void 0;
const addon_api_1 = require("./../utils/addon-api");
class ReferenceProvider {
    constructor(server) {
        this.server = server;
    }
    async provideReferences({ textDocument, position }) {
        const project = this.server.projectRoots.projectForUri(textDocument.uri);
        if (!project) {
            return [];
        }
        const addonResults = await (0, addon_api_1.queryELSAddonsAPIChain)(project.providers.referencesProviders, project.root, {
            textDocument,
            position,
            results: [],
            server: this.server,
        });
        return addonResults;
    }
}
exports.ReferenceProvider = ReferenceProvider;
//# sourceMappingURL=entry.js.map