"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const node_1 = require("vscode-languageserver/node");
// Create a connection for the server. The connection defaults to Node's IPC as a transport, but
// also supports stdio via command line flag
const connection = process.argv.includes('--stdio')
    ? (0, node_1.createConnection)(new node_1.StreamMessageReader(process.stdin), new node_1.StreamMessageWriter(process.stdout))
    : (0, node_1.createConnection)(new node_1.IPCMessageReader(process), new node_1.IPCMessageWriter(process));
const useAsyncFs = process.argv.includes('--async-fs');
const server = new _1.Server(connection, {
    type: 'node',
    fs: useAsyncFs ? 'async' : 'sync',
});
server.listen();
//# sourceMappingURL=start-server.js.map