"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasExtension = exports.getExtension = void 0;
const path = require("path");
const vscode_uri_1 = require("vscode-uri");
function getExtension(textDocument) {
    const filePath = vscode_uri_1.URI.parse(textDocument.uri).fsPath;
    const ext = filePath ? path.extname(filePath) : '';
    if (ext === '.handlebars') {
        return '.hbs';
    }
    return ext;
}
exports.getExtension = getExtension;
function hasExtension(textDocument, ...extensions) {
    const ext = getExtension(textDocument);
    return ext !== null && extensions.includes(ext);
}
exports.hasExtension = hasExtension;
//# sourceMappingURL=file-extension.js.map